public class MenuEntriesData {

  private String caption;
  private String name;
  private boolean enabled = true;
  private boolean visible = true;
  private int menuItem = 0;
  private int type = 0; // none=0, checkbox=1, optionbox=2
  private boolean checked = false;
  private int group = 0;
  private int shortcut = 0;

  MenuEntriesData() {
  }

  /* sets */

  public void setCaption(String s) {
    caption = s;
  }

  public void setName(String s) {
    name = s;
  }

  public void setEnabled(boolean b) {
    enabled = b;
  }

  public void setVisible(boolean b) {
    visible = b;
  }

  public void setMenuItem(int b) {
    menuItem = b;
  }
  
  public void setType(int b) {
    type = b;
  }

  public void setChecked(boolean b) {
    checked = b;
  }

  public void setGroup(int b) {
    group = b;
  }

  public void setShortcut(int b) {
    shortcut = b;
  }



  /* gets */

  public String getCaption() {
    return caption;
  }

  public String getName() {
    return name;
  }

  public boolean getEnabled() {
    return enabled;
  }

  public boolean getVisible() {
    return visible;
  }

  public int getMenuItem() {
    return menuItem;
  }

  public int getType() {
    return type;
  }

  public boolean getChecked() {
    return checked;
  }

  public int getGroup() {
    return group;
  }

  public int getShortcut() {
    return shortcut;
  }

  
  public String getVisibleAsString() {
    if (visible)
      return "True";
    else
      return "False";
  }

  public String getEnabledAsString() {
    if (enabled)
      return "True";
    else
      return "False";
  }
  
  public String getCheckedAsString() {
    if (checked)
      return "True";
    else
      return "False";
  }
  
}
